/* @refresh reload */
import { render } from "solid-js/web";

import "./index.css";
import { Route, Router } from "@solidjs/router";

import { App } from "./App";
import { Login } from "./Login";
import { ProtectedRoute } from "./ProtectedRoute";
import { Settings } from "./Settings";

render(
    () => (
        <Router>
            <Route path="/login" component={Login} />

            <Route path="/" component={ProtectedRoute}>
                <Route path="/" component={App} />
                <Route path="/settings" component={Settings} />
            </Route>
        </Router>
    ),
    document.getElementById("root") as HTMLElement,
);
